// Telegrammer - Telegram Bot Swift SDK.
// This file is autogenerated by API/generate_wrappers.rb script.

/**
 Represents a link to a video animation (H.264/MPEG-4 AVC video without sound). By default, this animated MPEG-4 file will be sent by the user with optional caption. Alternatively, you can use input_message_content to send a message with the specified content instead of the animation.

 SeeAlso Telegram Bot API Reference:
 [InlineQueryResultMpeg4Gif](https://core.telegram.org/bots/api#inlinequeryresultmpeg4gif)
 */
public final class InlineQueryResultMpeg4Gif: Codable {

    /// Custom keys for coding/decoding `InlineQueryResultMpeg4Gif` struct
    enum CodingKeys: String, CodingKey {
        case type = "type"
        case id = "id"
        case mpeg4Url = "mpeg4_url"
        case mpeg4Width = "mpeg4_width"
        case mpeg4Height = "mpeg4_height"
        case mpeg4Duration = "mpeg4_duration"
        case thumbUrl = "thumb_url"
        case title = "title"
        case caption = "caption"
        case parseMode = "parse_mode"
        case replyMarkup = "reply_markup"
        case inputMessageContent = "input_message_content"
    }

    /// Type of the result, must be mpeg4_gif
    public var type: String

    /// Unique identifier for this result, 1-64 bytes
    public var id: String

    /// A valid URL for the MP4 file. File size must not exceed 1MB
    public var mpeg4Url: String

    /// Optional. Video width
    public var mpeg4Width: Int?

    /// Optional. Video height
    public var mpeg4Height: Int?

    /// Optional. Video duration
    public var mpeg4Duration: Int?

    /// URL of the static thumbnail (jpeg or gif) for the result
    public var thumbUrl: String

    /// Optional. Title for the result
    public var title: String?

    /// Optional. Caption of the MPEG-4 file to be sent, 0-200 characters
    public var caption: String?

    /// Optional. Send Markdown or HTML, if you want Telegram apps to show bold, italic, fixed-width text or inline URLs in the media caption.
    public var parseMode: String?

    /// Optional. Inline keyboard attached to the message
    public var replyMarkup: InlineKeyboardMarkup?

    /// Optional. Content of the message to be sent instead of the video animation
    public var inputMessageContent: InputMessageContent?


    public init (type: String, id: String, mpeg4Url: String, mpeg4Width: Int? = nil, mpeg4Height: Int? = nil, mpeg4Duration: Int? = nil, thumbUrl: String, title: String? = nil, caption: String? = nil, parseMode: String? = nil, replyMarkup: InlineKeyboardMarkup? = nil, inputMessageContent: InputMessageContent? = nil) {
        self.type = type
        self.id = id
        self.mpeg4Url = mpeg4Url
        self.mpeg4Width = mpeg4Width
        self.mpeg4Height = mpeg4Height
        self.mpeg4Duration = mpeg4Duration
        self.thumbUrl = thumbUrl
        self.title = title
        self.caption = caption
        self.parseMode = parseMode
        self.replyMarkup = replyMarkup
        self.inputMessageContent = inputMessageContent
    }
}
